import { getStudentStudyDataApi } from '@/api'
import obj from '@/utils/obj'
import { defineStore, storeToRefs } from 'pinia'
import { ref } from 'vue'

export const useStudyDataStore = defineStore('study-data', () => {
  async function getStudentStudyData(params: any) {
    const res = await getStudentStudyDataApi(params)
    return obj.list2map(res, 'userId')
  }
  return { getStudentStudyData }
})
